﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Grid3.aspx.cs" Inherits="_Default" %>

<%@ Register TagPrefix="telerik" Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" />
    <div>
        <asp:Button ID="Button1" runat="server" Text="Export" OnClick="Button1_Click" />
        <telerik:RadGrid ID="RadGrid1" runat="server" AllowSorting="True" AllowPaging="True"
            DataSourceID="SqlDataSource1" GridLines="None" Width="780px">
            <MasterTableView AutoGenerateColumns="False" DataKeyNames="CategoryID" DataSourceID="SqlDataSource1"
                TableLayout="Fixed">
                <HeaderStyle BackColor="LightGray" />
                <RowIndicatorColumn HeaderStyle-Width="1" />
                <ExpandCollapseColumn HeaderStyle-Width="1" />
                <Columns>
                    <telerik:GridBoundColumn DataField="CategoryID" DataType="System.Int32" HeaderText="CategoryID"
                        ReadOnly="True" SortExpression="CategoryID" UniqueName="CategoryID" HeaderStyle-Width="70px">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="CategoryName" HeaderText="CategoryName" SortExpression="CategoryName"
                        UniqueName="CategoryName" HeaderStyle-Width="150px">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Description" HeaderText="Description" SortExpression="Description"
                        UniqueName="Description" HeaderStyle-Width="430px">
                    </telerik:GridBoundColumn>
                    <telerik:GridTemplateColumn HeaderText="Image" HeaderStyle-Width="70px">
                        <ItemTemplate>
                            <asp:Image ID="Image1" runat="server" Width="64" Height="64" AlternateText='<%# Eval("CategoryID") %>'
                                ImageUrl='<%# "~/Images/Category" + Eval("CategoryID") + ".png" %>' />
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            SelectCommand="SELECT [CategoryID], [CategoryName], [Description] FROM [Categories]" />
    </div>
    </form>
</body>
</html>
